"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
function render(context, langClient) {
    const body = `
        <div id="ballerina-documentation" class="documentation-container" >
            <i class="fw fw-loader fw-spin fw-3x root-loader"></i>
        </div>
    `;
    const bodyCss = "documentation";
    const styles = "";
    const script = `
        const el = document.getElementById("ballerina-documentation");
        window.addEventListener('message', event => {
            switch (event.data.command) {
                case 'update':
                    const astJson = event.data.json;
                    if (window.ballerinaComposer) {
                        ballerinaComposer.renderDocPreview(astJson, el);
                    }
                    break;
                case 'scroll':
                    const anchor = event.data.anchor;
                    location.href = "#" + anchor;
                    break;
            }
        });

        function loadedScript() {
            vscode.postMessage({message: "loaded-doc-preview"});
        }
    `;
    return utils_1.getLibraryWebViewContent(context, body, script, styles, bodyCss);
}
exports.render = render;
//# sourceMappingURL=renderer.js.map