"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_1 = require("vscode");
const runner_1 = require("./runner");
function activateTestRunner(ballerinaExtInstance) {
    const channel = vscode_1.window.createOutputChannel('Ballerina Tests');
    // register run all tests hander
    vscode_1.commands.registerCommand('ballerina.runAllTests', () => {
        const activeEditor = vscode_1.window.activeTextEditor;
        // if currently opened file is a bal file
        if (activeEditor && activeEditor.document.fileName.endsWith('.bal')) {
            // get path of the current bal file
            const uri = activeEditor.document.uri.toString();
            if (ballerinaExtInstance.langClient) {
                // get Ballerina Project path for current Ballerina file
                ballerinaExtInstance.langClient.getBallerinaProject({
                    documentIdentifier: {
                        uri,
                    }
                }).then((project) => {
                    const runner = new runner_1.TestRunner(project, channel);
                    runner.runAllTests();
                }, (reason) => {
                    // TODO: display error to user
                    console.log(reason.message);
                });
            }
        }
    });
}
exports.activateTestRunner = activateTestRunner;
//# sourceMappingURL=activator.js.map