"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
class TestRunner {
    constructor(project, channel) {
        this.project = project;
        this.channel = channel;
    }
    runAllTests() {
        this._startTestProcess(['test']);
    }
    runTestsForPackage(pkgName) {
        this._startTestProcess(['test', pkgName]);
    }
    kill() {
        if (this._process) {
            this._process.kill();
        }
    }
    _startTestProcess(args) {
        this.channel.clear();
        this.channel.show();
        this._process = child_process_1.spawn("ballerina", args, { cwd: this.project.path });
        this._process.stdout.on('data', (data) => {
            this.channel.append(data.toString());
        });
        this._process.stderr.on('data', (data) => {
            this.channel.append(data.toString());
        });
    }
}
exports.TestRunner = TestRunner;
//# sourceMappingURL=runner.js.map