'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Copyright (c) 2018, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */
const vscode = require("vscode");
const outputChannel = vscode.window.createOutputChannel("Ballerina");
const logLevelDebug = vscode.workspace.getConfiguration('ballerina').get('debugLog') === true;
function withNewLine(value) {
    if (!value.endsWith('\n')) {
        return value += '\n';
    }
    return value;
}
// This function will log the value to the Ballerina output channel only if debug log is enabled
function log(value) {
    const output = withNewLine(value);
    console.log(output);
    if (logLevelDebug) {
        outputChannel.append(output);
    }
}
exports.log = log;
// This function will log the value to the Ballerina output channel
function info(value) {
    const output = withNewLine(value);
    console.log(output);
    outputChannel.append(output);
}
exports.info = info;
function getOutputChannel() {
    if (logLevelDebug) {
        return outputChannel;
    }
}
exports.getOutputChannel = getOutputChannel;
//# sourceMappingURL=logger.js.map